Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362603 - No icons in dolphin under gnome
Summary: No icons in dolphin under gnome
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qgnomeplatform
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 15:32 UTC by Edward O
Modified: 2016-11-02 22:18 UTC (History)
4 users (show)

Fixed In Version: qgnomeplatform-0.2-10.20161024git.fc25 qgnomeplatform-0.2-10.20161024git.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-31 23:45:42 UTC


Attachments (Terms of Use)
icons missing (deleted)
2016-08-02 15:32 UTC, Edward O
no flags Details

Description Edward O 2016-08-02 15:32:19 UTC
Created attachment 1186861 [details]
icons missing

Description of problem:
Most icons are missing from dolphin under gnome

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Workstation 23 or 24
2. dnf install dolphin
3. dolphin

Actual results:
Most icons are missing:
* toolbar icons except Find
* "Control" menu icons except Undo/Reload
* folder icons except the "special folder" (Desktop, Documents, Music, ...) and except Places (Network, Trash...)
* file icons

Expected results:
Icons are shown

Additional info:
* This happens on both 23 on 24, and whether plasma-desktop is installed or not - as long as the gnome-shell session is used.
* I tried changing the Icon Theme from Adwaita to Breeze in "kcmshell5 icons", but without success (it reverts itself)
* I tries running with XDG_CURRENT_DESKTOP=gnome or XDG_CURRENT_DESKTOP=kde but without change
* "QPixmap::scaled: Pixmap is a null pixmap" appears on the console

For me the default settings, even when plasma is not installed (but as long as breeze-icon-theme is) should be to fallback to breeze icons when adwaita's don't exist...

Comment 1 Rex Dieter 2016-08-04 12:07:41 UTC
Is this something that qgnomeplatform could help address?

Comment 2 Jan Grulich 2016-08-08 09:45:13 UTC
Actually QGnomePlatform is the problem, once you start gnome-shell, then QGnomePlatform is used and Gnome icons (or icons which are configured to be used in Gnome) are used for KDE/Qt applications. Given the default icon theme in Gnome is Adwaita, then you would need to use different icon theme which provides also the icons you are missing.

Comment 3 Rex Dieter 2016-08-08 12:21:02 UTC
I suppose the gtk fallback-icon-theme isn't used anymore?  (I thought that may help here)

Comment 4 Edward O 2016-08-18 11:04:49 UTC
Also, is there a dconf setting or environment variable I cant set before launching the app to workaround this?

Comment 5 Fedora Update System 2016-10-25 02:22:04 UTC
qgnomeplatform-0.2-10.20161024git.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-49039adca5

Comment 6 Fedora Update System 2016-10-25 04:21:58 UTC
qgnomeplatform-0.2-10.20161024git.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-57f6ac1b5f

Comment 7 Fedora Update System 2016-10-31 23:45:42 UTC
qgnomeplatform-0.2-10.20161024git.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-11-01 13:21:58 UTC
qgnomeplatform-0.2-10.20161024git.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Edward O 2016-11-02 22:18:48 UTC
I can confirm it works now with qgnomeplatform-0.2-10.20161024git.fc24

Of course the icon theme mix is eye-jarring, but at least usability is back. (Thanks!)


Note You need to log in before you can comment on or make changes to this bug.